%define anolis_release 3

%bcond_without nginx
%bcond_without httpd

Name:           web-assets
Version:        23
Release:        %{anolis_release}%{?dist}
Summary:        A simple framework for bits pushed to browsers
License:        MIT
URL:            https://fedoraproject.org/wiki/User:Patches/PackagingDrafts/Web_Assets
Source1:        README.devel
Source2:        LICENSE
Source3:        macros.web-assets
Source4:        nginx-web-assets.conf
Source5:        web-assets.conf

BuildArch:      noarch

%description
Web Assets are any static content that are shipped intact to web 
browsers, usually by web applications. These might be user interface 
frameworks, Flash video players, CSS frameworks, icon libraries, or 
lots of other possibilities.

%package        filesystem
Summary:        The basic directory layout for Web Assets
License:        Public Domain

%description    filesystem
Web Assets are any static content that are shipped intact to web 
browsers, usually by web applications. These might be user interface 
frameworks, Flash video players, CSS frameworks, icon libraries, or 
lots of other possibilities.

%package        devel
Summary:        RPM macros for Web Assets packaging
License:        MIT
Requires:       web-assets-filesystem = %{version}-%{release}

%description    devel
Web Assets are any static content that are shipped intact to web 
browsers, usually by web applications. These might be user interface 
frameworks, Flash video players, CSS frameworks, icon libraries, or 
lots of other possibilities.

%if %{with nginx}
%package        nginx
Summary:        Web Assets aliases for the nginx daemon
License:        MIT
Requires:       web-assets-filesystem = %{version}-%{release}
Requires:       nginx

%description    nginx
Web Assets are any static content that are shipped intact to web 
browsers, usually by web applications. These might be user interface 
frameworks, Flash video players, CSS frameworks, icon libraries, or 
lots of other possibilities.
%endif

%if %{with httpd}
%package        httpd
Summary:        Web Assets aliases for the Apache HTTP daemon
License:        MIT
Requires:       web-assets-filesystem = %{version}-%{release}
Requires:       httpd
Requires(post): systemd
Requires(postun): systemd

%description    httpd
Web Assets are any static content that are shipped intact to web 
browsers, usually by web applications. These might be user interface 
frameworks, Flash video players, CSS frameworks, icon libraries, or 
lots of other possibilities.
%endif

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name}-devel = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -c -T
cp %{SOURCE1} README.devel
cp %{SOURCE2} LICENSE

%build

%install
mkdir -p %{buildroot}%{_datadir}/web-assets
mkdir -p %{buildroot}%{_datadir}/javascript

ln -sf ../javascript %{buildroot}%{_datadir}/web-assets/javascript
ln -sf ../javascript %{buildroot}%{_datadir}/web-assets/js
ln -sf ../fonts %{buildroot}%{_datadir}/web-assets/fonts

install -Dpm 0644 %{SOURCE3} %{buildroot}%{_rpmconfigdir}/macros.d/macros.web-assets

%if %{with nginx}
install -Dpm 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/nginx/default.d/web-assets.conf
%endif

%if %{with httpd}
install -Dpm 0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/httpd/conf.d/web-assets.conf
%endif

%if %{with nginx}
%post nginx
[ -x %{_bindir}/systemctl ] && systemctl reload-or-try-restart nginx.service || :

%postun nginx
[ -x %{_bindir}/systemctl ] && systemctl reload-or-try-restart nginx.service || :
%endif

%if %{with httpd}
%post httpd
systemctl reload-or-try-restart httpd.service || :

%postun httpd
systemctl reload-or-try-restart httpd.service || :
%endif

%files devel
%{_rpmconfigdir}/macros.d/macros.web-assets
%license LICENSE

%files filesystem
%{_datadir}/web-assets
%{_datadir}/javascript

%if %{with nginx}
%files nginx
%config(noreplace) %{_sysconfdir}/nginx/default.d/web-assets.conf
%license LICENSE
%endif

%if %{with httpd}
%files httpd
%config(noreplace) %{_sysconfdir}/httpd/conf.d/web-assets.conf
%license LICENSE
%endif

%files doc
%doc README.devel

%changelog
* Wed Apr 12 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 23-3
- optimise spec file

* Sun Mar 19 2023 Shawn Wang <shawnwang@linux.alibaba.ccom> -23-2
- add doc package

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 23-1
- init from upstream
